/****************************************************************************************************

		ActionsParams.h
		Copyright: (c) 2002 Eovia Corp. All rights reserved.

		Author:	Arnaud
		Date:	3/30/2007

****************************************************************************************************/

#ifndef __ActionsParams__
#define __ActionsParams__

#if CP_PRAGMA_ONCE
#pragma once
#endif


/// \addtogroup Data
/// \{

///Structure do direct placement of objects dropped in the 3dview
struct TAutoPlaceInfo : public TMCObject
{
	boolean						fUseAutoPlace;		///use the auto place
	TVector3					fGlobalPosition;	///where to put the object
	int32						fSmartCoordinate;	///which coordinate (0/1/2) to adjust (to put the "bottom" of the object on fGlobalPosition[fSmartCoordinate])
	TVector3					fExtraSpace;		///reserved for use in a patch (if needed)

	TAutoPlaceInfo()
	{
		fUseAutoPlace	 = false;
		fGlobalPosition	 = TVector3::kZero;
		fSmartCoordinate = 2;
		fExtraSpace		 = TVector3::kZero;
	}
};


struct TImportInfo : public TAutoPlaceInfo
{
	TMCPtr<I3DShTreeElement>	fTreeToSelect;		///on output the tree or group to select
	boolean						fKeepUniverseGroup;

	TImportInfo()
	{
		fKeepUniverseGroup = false;
	}
};


/// \}







#endif
